For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Package

A specific package's information can be retrieved at any time with the packageId .

Get package

get

Gets a package from a webstore by its ID or slug.

Note: this endpoint does not support packages belonging to dynamic categories. Use the category endpoints with includePackages=1 and basketIdent to fetch dynamic packages.

Path parameters
packageIdstringRequired

The package's ID or slug.

Example: 1272441812
Responses
200

Successful response returns the package information.

application/json
get/packages/{packageId}
GET /api/accounts/packages/{packageId} HTTP/1.1
Host: headless.tebex.io/
Accept: */*
200

Successful response returns the package information.

{
  "data": [
    {
      "id": 6276316,
      "name": "test package 101",
      "description": "<p>this is just a test. only a test. nothing more.</p>",
      "image": null,
      "type": "single",
      "category": {
        "id": 2678660,
        "name": "Packages"
      },
      "base_price": 5,
      "sales_tax": 0,
      "total_price": 5,
      "currency": "USD",
      "prorate_price": 1,
      "discount": 0,
      "disable_quantity": false,
      "disable_gifting": false,
      "expiration_date": null,
      "media": [],
      "order": 1,
      "slug": "text",
      "user_limit": 1,
      "creator_meta_data": {},
      "options": [],
      "variables": [],
      "created_at": "2024-05-21T18:09:17+00:00",
      "updated_at": "2024-05-21T18:09:17+00:00"
    }
  ]
}

Get packages available for basket

get

Gets all packages available to the provided basket.

Path parameters
basketIdentstringRequired

The basket identifier.

Example: c00244-d2ac2e77418a55b25292a6bc7a719ad9c529ba2c
Responses
200

Successful response returns a list of package information.

application/json
get/packages?basketIdent={basketIdent}
GET /api/accounts/packages?basketIdent={basketIdent} HTTP/1.1
Host: headless.tebex.io/
Accept: */*
{
  "data": [
    {
      "id": 6276316,
      "name": "test package 101",
      "description": "<p>this is just a test. only a test. nothing more.</p>",
      "image": null,
      "type": "single",
      "category": {
        "id": 2678660,
        "name": "Packages"
      },
      "base_price": 5,
      "sales_tax": 0,
      "total_price": 5,
      "currency": "USD",
      "prorate_price": 1,
      "discount": 0,
      "disable_quantity": false,
      "disable_gifting": false,
      "expiration_date": null,
      "media": [],
      "order": 1,
      "slug": "text",
      "user_limit": 1,
      "creator_meta_data": {},
      "options": [],
      "variables": [],
      "created_at": "2024-05-21T18:09:17+00:00",
      "updated_at": "2024-05-21T18:09:17+00:00"
    }
  ]
}

Get packages

get

Gets all packages from a webstore.

Path parameters
ipAddressstringRequired

An IP address can be provided with authenticated requests

Example: 127.0.0.1
Responses
200

Successful response returns a list of package information.

application/json
get/packages?ipAddress={ipAddress}
GET /api/accounts/packages?ipAddress={ipAddress} HTTP/1.1
Host: headless.tebex.io/
Accept: */*
{
  "data": [
    {
      "id": 6276316,
      "name": "test package 101",
      "description": "<p>this is just a test. only a test. nothing more.</p>",
      "image": null,
      "type": "single",
      "category": {
        "id": 2678660,
        "name": "Packages"
      },
      "base_price": 5,
      "sales_tax": 0,
      "total_price": 5,
      "currency": "USD",
      "prorate_price": 1,
      "discount": 0,
      "disable_quantity": false,
      "disable_gifting": false,
      "expiration_date": null,
      "media": [],
      "order": 1,
      "slug": "text",
      "user_limit": 1,
      "creator_meta_data": {},
      "options": [],
      "variables": [],
      "created_at": "2024-05-21T18:09:17+00:00",
      "updated_at": "2024-05-21T18:09:17+00:00"
    }
  ]
}

Get packages available for IP and basket

get

Gets all packages from a webstore.

Path parameters
basketIdentstringRequired

The basket identifier.

Example: c00244-d2ac2e77418a55b25292a6bc7a719ad9c529ba2c
ipAddressstringRequired

An IP address can be provided with authenticated requests.

Example: 127.0.0.1
Responses
200

Successful response returns a list of package information.

application/json
get/packages?ipAddress={ipAddress}&basketIdent={basketIdent}
GET /api/accounts/packages?ipAddress={ipAddress}&basketIdent={basketIdent} HTTP/1.1
Host: headless.tebex.io/
Accept: */*
{
  "data": [
    {
      "id": 6276316,
      "name": "test package 101",
      "description": "<p>this is just a test. only a test. nothing more.</p>",
      "image": null,
      "type": "single",
      "category": {
        "id": 2678660,
        "name": "Packages"
      },
      "base_price": 5,
      "sales_tax": 0,
      "total_price": 5,
      "currency": "USD",
      "prorate_price": 1,
      "discount": 0,
      "disable_quantity": false,
      "disable_gifting": false,
      "expiration_date": null,
      "media": [],
      "order": 1,
      "slug": "text",
      "user_limit": 1,
      "creator_meta_data": {},
      "options": [],
      "variables": [],
      "created_at": "2024-05-21T18:09:17+00:00",
      "updated_at": "2024-05-21T18:09:17+00:00"
    }
  ]
}

Last updated